Login
POST
/api/auth/api-key/login
const url = 'https://example.com/%7B%7BlpURL%7D%7D/api/auth/api-key/login';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"key":"{{keyID}}","secret":"{{keySecret}}"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7BlpURL%7D%7D/api/auth/api-key/login \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "key": "{{keyID}}", "secret": "{{keySecret}}" }'This endpoint should be used to get an access token and a refresh token from a key & secret. Once the access token is fetched it should be used to authenticate to other API endpoints.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Media type application/json
object
key
string
secret
string
Example
{ "key": "{{keyID}}", "secret": "{{keySecret}}"}Responses
Section titled “ Responses ”Login
Media type application/json
object
accessTokenExpiresIn
integer
refreshTokenExpiresIn
integer
accessToken
string
refreshToken
string
Example
{ "accessTokenExpiresIn": 86400, "refreshTokenExpiresIn": 604800, "accessToken": "XX", "refreshToken": "XX"}Headers
Section titled “Headers ” Date
Example
Wed, 28 Jan 2026 14:43:37 GMT Content-Length
Example
376 Connection
Example
keep-alive Set-Cookie
Example
AWSALBCORS=zLMJD26QTK1qOpJG1CbNYcNfY3vSPAUOMfiOZV+otx/evoKSCeJYi9qWCwsSqsudeZuSxlsFvKZwwuJ0GLgoxcn8JYGCRJBt/Zc7LeT9GIubvCdk8NjxGcEcpla9; Expires=Wed, 04 Feb 2026 14:43:37 GMT; Path=/; SameSite=None; Secure vary
Example
Origin access-control-allow-credentials
Example
true x-ratelimit-limit
Example
25 x-ratelimit-remaining
Example
24 x-ratelimit-reset
Example
60 tdm-reservation
Example
1 x-robots-tag
Example
noai, noimageai